package com.keyware.shandan.browser.service;

import com.keyware.shandan.bianmu.entity.MetadataBasicVo;
import com.keyware.shandan.browser.entity.PageVo;
import com.keyware.shandan.browser.entity.SearchConditionVo;
import org.apache.ibatis.session.ResultHandler;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 资源数据服务类
 */
public interface MetadataDataService {

    PageVo queryData(MetadataBasicVo metadata, SearchConditionVo condition);

    String getQuerySql(MetadataBasicVo metadata, SearchConditionVo condition);

    int count(MetadataBasicVo metadata, SearchConditionVo condition);

    List<Map<String, Object>> list(MetadataBasicVo metadata, SearchConditionVo condition);

    void queryDataByHandler(MetadataBasicVo metadata, SearchConditionVo condition, ResultHandler<HashMap<String, Object>> handler);

}
